| Qore FileDataProvider Module Reference 2.1.2

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
FileDataProvider::FileGetDataProvider Class Reference

The get file data provider class. More...

`#include <FileGetDataProvider.qc.dox.h>`

Inheritance diagram for FileDataProvider::FileGetDataProvider:
[legend]

## Public Member Functions
| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (*string root, *bool lock, *bool readonly)
| Creates the object from the arguments.
string | getName ()
| Returns the data provider name.
hash< DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.
Public Member Functions inherited from FileDataProvider::FileDataProviderBase
| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (*string root, *bool lock, *bool readonly)
| Creates the object from the arguments.

## Public Attributes
const | ProviderInfo = ...
| Provider info.
const | ProviderSummaryInfo = ...
| Provider summary info.
const | RequestType = new FileGetRequestDataType()
| Request type.
const | ResponseType = FileGetResponseDataType
| Response type.
Public Attributes inherited from FileDataProvider::FileDataProviderBase
const | ConstructorOptions = ...
| Constructor options.

## Protected Member Functions
auto | doRequestImpl (auto req, *hash< auto > request_options)
| Makes a request and returns the response.
*AbstractDataProviderType | getRequestTypeImpl ()
| Returns the description of a successful request message, if any.
*AbstractDataProviderType | getResponseTypeImpl ()
| Returns the description of a response message, if this object represents a response message.
Protected Member Functions inherited from FileDataProvider::FileDataProviderBase
| checkPath (reference< string > path)
| Check the given path when "lock" and "root" are set.
| checkReadOnly (string op)
| Checks if the readonly flag is set.

## Additional Inherited Members
Protected Attributes inherited from FileDataProvider::FileDataProviderBase
bool | lock
| Lock down access to the root?
bool | readonly
| Read only flag.
*string | root
| Any anchoring dir for filesystem actions.

## Detailed Description

The get file data provider class.

## Member Function Documentation

## ◆ doRequestImpl()

auto FileDataProvider::FileGetDataProvider::doRequestImpl | ( | auto | req,
|  | *hash< auto > | request_options )
| protected

Makes a request and returns the response.

Parameters

  req | the request info
  request_options | the request options after processing by validateRequestOptions()

Returns
  the response to the request

## ◆ getRequestTypeImpl()

*AbstractDataProviderType FileDataProvider::FileGetDataProvider::getRequestTypeImpl | ( |  | ) |
| protected

Returns the description of a successful request message, if any.

Returns
  the request type for this provider

## ◆ getResponseTypeImpl()

*AbstractDataProviderType FileDataProvider::FileGetDataProvider::getResponseTypeImpl | ( |  | ) |
| protected

Returns the description of a response message, if this object represents a response message.

Returns
  the response type for this response message